<?php

 require '../conexao/conexao.php';
 //require '../sessao.php';



//echo $funcParam;

//$filial = '2,4';
//$mes = '08';
//$ano = '2023';
//$vendedor = '51';
//$funcParam = $vendedor;

//$funcParam = null;
$ano = $_GET['ano'] ?? null;
$mes = $_GET['mes'] ?? null;
$filial = $_GET['filial'] ?? null;
$mes = str_pad($mes, 2, '0', STR_PAD_LEFT);
// ECHO $mes;
// ECHO $ano;
// echo $vendedor;
// echo $filial;

//echo $filial;



$qry_manipulado = "SELECT  
fr.DTENTR as DATA,
sum(fr.PRCOBR - fr.VRDSC) AS valor

FROM FC12100 fr 
 LEFT join fc08000 fun on ( fun.cdcon = fr.cdconre and fun.cdfun = fr.cdfunre ) WHERE 1 = 1";

// Adiciona a condição do JOIN dependendo do valor de $filial
if (!empty($filial) && $filial !== "Todos") {
    // Se $filial não estiver vazio e não for "Todos", aplicamos o filtro na consulta
   
    $qry_manipulado .= " and fr.cdfil IN ($filial)";
    
}

$qry_manipulado .= " AND
                      fr.DTENTR BETWEEN '" . $ano . "-" . $mes . "-01' AND '" . $ano . "-" . $mes . "-" . date("t", mktime(0, 0, 0, $mes, 1, $ano)) . "'";

// Adiciona a condição do vendedor se $vendedor não for nulo
if ($vendedor !== null) {
    $qry_manipulado .= " AND fr.CDFUNRE = '" . $vendedor . "'";
}

$qry_manipulado .= " GROUP BY fr.DTENTR ";

//echo $qry_manipulado ;


$qry_revenda = "SELECT
                    cp.dtpagefe AS data,
                    SUM(p.vrtot - p.vrdsc - p.vrdscv + p.vrtxav) AS valor
                FROM
                    fc14100 p
                    JOIN fc14000 cp ON p.cdfil = cp.cdfil AND p.nrcpm = cp.nrcpm
                    JOIN FC03000 pr ON p.cdpro = pr.cdpro";

// Adiciona a condição da filial se $filial for diferente de "Todos"
if ($filial !== "Todos") {
    $qry_revenda .= " JOIN fc08000 fun ON cp.cdconre IN (" . $filial . ") AND cp.cdconre = fun.cdcon AND cp.cdfunre = fun.cdfun";
} else {
    $qry_revenda .= " JOIN fc08000 fun ON cp.cdconre = fun.cdcon AND cp.cdfunre = fun.cdfun";
}

$qry_revenda .= " WHERE
                    cp.dtpagefe BETWEEN '" . $ano . "-" . $mes . "-01' AND '" . $ano . "-" . $mes . "-" . date("t", mktime(0, 0, 0, $mes, 1, $ano)) . "'
                    AND pr.setor not in (330,276)";

// Adiciona a condição do vendedor se $vendedor não for nulo
if ($vendedor !== null) {
    $qry_revenda .= " AND fun.cdfun = '" . $vendedor . "'";
}

$qry_revenda .= " GROUP BY cp.dtpagefe";



$qry_marca = "SELECT
                  cp.dtpagefe AS data,
                  SUM(p.vrtot - p.vrdsc - p.vrdscv + p.vrtxav) AS valor
              FROM
                  fc14100 p
                  JOIN fc14000 cp ON p.cdfil = cp.cdfil AND p.nrcpm = cp.nrcpm
                  JOIN FC03000 pr ON p.cdpro = pr.cdpro";

// Adiciona a condição da filial se $filial for diferente de "Todos"
if ($filial !== "Todos") {
    $qry_marca .= " JOIN fc08000 fun ON cp.cdconre IN (" . $filial . ") AND cp.cdconre = fun.cdcon AND cp.cdfunre = fun.cdfun";
} else {
    $qry_marca .= " JOIN fc08000 fun ON cp.cdconre = fun.cdcon AND cp.cdfunre = fun.cdfun";
}

$qry_marca .= " WHERE
                  cp.dtpagefe BETWEEN '" . $ano . "-" . $mes . "-01' AND '" . $ano . "-" . $mes . "-" . date("t", mktime(0, 0, 0, $mes, 1, $ano)) . "'
                  AND pr.setor in (330,276)";

// Adiciona a condição do vendedor se $funcParam não for nulo
if ($vendedor !== null) {
    $qry_marca .= " AND fun.cdfun = '" . $vendedor . "'";
}

$qry_marca .= " GROUP BY cp.dtpagefe";

//echo $qry_manipulado;

$qryResult = ibase_query($connection, $qry_manipulado);
if (!$qryResult) {
    die("Erro na consulta SQL (Manipulado): " . ibase_errmsg());
}

$qryResultRevenda = ibase_query($connection, $qry_revenda);
if (!$qryResultRevenda) {
    die("Erro na consulta SQL (Revenda): " . ibase_errmsg());
}

$qryResultMarca = ibase_query($connection, $qry_marca);
if (!$qryResultMarca) {
    die("Erro na consulta SQL (Marca Própria): " . ibase_errmsg());
}

echo "<!DOCTYPE html>

      <table id='datatable-buttons' class='table table-striped table-bordered dt-responsive nowrap'>
        <thead>
          <tr class='text-center'>
            <th>Data</th>
            <th>Manipulado</th>
            <th>Revenda</th>
            <th>Marca Própria</th>
            <th>Total Dia</th>
			</tr>
        </thead>
        <tbody>";


$dataManipulado = [];
$dataRevenda = [];
$dataMarca = [];

$totalManipulado = 0;
$totalRevenda = 0;
$totalMarca = 0;

for ($i = 1; $i <= date("t", mktime(0, 0, 0, $mes, 1, $ano)); $i++) {
    $date = $ano . "-" . $mes . "-" . sprintf("%02d", $i);
    $dataManipulado[$date] = 0;
    $dataRevenda[$date] = 0;
    $dataMarca[$date] = 0;
}

while ($row = ibase_fetch_assoc($qryResult)) {
    $dataManipulado[$row['DATA']] = $row['VALOR'];
    $totalManipulado += $row['VALOR'];
}
//Adicionar o valor das vendas de terceiros ao total do Manipulado
if ($vendedor == null) {
$totalManipulado += $_SESSION['total_terceiros'];
}
if ($vendedor !== null){
//SQL VENDAS DE TERCEIROS
$sql_terceiros = "SELECT f.nome, SUM(t.valor) as valor_terceiros, t.cod_filial, f.cod_fcerta FROM pedido_terceiro as t
INNER JOIN funcionarios as f ON t.ID_FUNCIONARIO = f.id_funcionario
WHERE 1=1";

    // Aplicar filtros de ano e mês para a terceira subconsulta
    if ($ano && $ano != "Selecione") {
        $sql_terceiros .= " AND EXTRACT(YEAR FROM t.data_lancamento) = " . intval($ano);
    }
    if ($mes && $mes != "Selecione") {
        $sql_terceiros .= " AND EXTRACT(MONTH FROM t.data_lancamento) = " . intval($mes);
    }
    // Aplicar o filtro da filial
    if ($filial && $filial != "Todos") {
        $sql_terceiros .= " AND t.cod_filial = " . intval($filial);
    }
	$sql_terceiros .= " GROUP BY f.nome, t.cod_filial, f.cod_fcerta";
    // Executar a consulta SQL
$result_terceiros = $connectionmysql->query($sql_terceiros);

// Verificar se a consulta foi bem sucedida
if ($result_terceiros) {
    // Inicializar a variável para armazenar o total de terceiros
    $total_terceiros = 0;
    
    // Verificar se há linhas retornadas pela consulta
    if ($result_terceiros->num_rows > 0) {
        // Loop pelas linhas do resultado
        while ($row = $result_terceiros->fetch_assoc()) {
            // Somar o valor da coluna 'valor_terceiros' ao total de terceiros
            $total_terceiros += $row['valor_terceiros'];
        }
    } else {
        // Não há registros retornados pela consulta
       // echo "Nenhum resultado encontrado.";
    }
} else {
    // Houve um erro ao executar a consulta
    die('Erro na consulta: ' . $connectionmysql->error);
}
$totalManipulado += $total_terceiros;
}

//Final cálculo falta para manipulado com vendas de terceiros
//-----------------------------
while ($rowRevenda = ibase_fetch_assoc($qryResultRevenda)) {
    $dataRevenda[$rowRevenda['DATA']] = $rowRevenda['VALOR'];
    $totalRevenda += $rowRevenda['VALOR'];
}

while ($rowMarca = ibase_fetch_assoc($qryResultMarca)) {
    $dataMarca[$rowMarca['DATA']] = $rowMarca['VALOR'];
    $totalMarca += $rowMarca['VALOR'];
}

$allDates = array_keys($dataManipulado);

foreach ($allDates as $data) {
    $manipulado = $dataManipulado[$data];
    $revenda = $dataRevenda[$data];
    $marca_propria = $dataMarca[$data];
    $total = $manipulado + $revenda + $marca_propria;
	
if ($vendedor == null) {	
//Cálculo média de vendas diária para MANIPULADO
//Cálculo Média diária para 100% manipulado
$falta_manipulado = $_SESSION['meta_manipulado'] - $totalManipulado;
// Verifique se a diferença é menor ou igual a zero
if ($falta_manipulado  <= 0) {
    $media_diaria_manipulado = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_manipulado  = $falta_manipulado / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_manipulado = 0;
}
}
//Cálculo média diária para 90% Manipulado
if ($_SESSION['valorfalta90manipulado']   <= 0) {
    $media_diaria_manipulado_90 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_manipulado_90  = $_SESSION['valorfalta90manipulado']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_manipulado_90 = 0;
}
}

//Cálculo média diária para 80% Manipulado
if ($_SESSION['valorfalta80manipulado']   <= 0) {
    $media_diaria_manipulado_80 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_manipulado_80  = $_SESSION['valorfalta80manipulado']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_manipulado_80 = 0;
}
}
//Cálculo média diária para 70% Manipulado
if ($_SESSION['valorfalta70manipulado']   <= 0) {
    $media_diaria_manipulado_70 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_manipulado_70  = $_SESSION['valorfalta70manipulado']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_manipulado_70 = 0;
}
}

//FINAL MEDIA MANIPULADO

//Cálculo média de vendas diária para Revenda
//Cálculo média de vendas diária para Revenda
$falta_revenda = $_SESSION['meta_revenda'] - $totalRevenda;

// Verifique se a diferença é menor ou igual a zero
if ($falta_revenda <= 0) {
    $media_diaria_revenda = 0;
} else {
    // Verifique se $diasrestantes é maior que zero antes de realizar a divisão
    if ($diasrestantes > 0) {
        // Calcule a média diária apenas se a diferença for maior que zero e $diasrestantes for maior que zero
        $media_diaria_revenda  = $falta_revenda / $diasrestantes;
    } else {
        // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
        $media_diaria_revenda = 0;
    }
}

//Cálculo média diária para 90% Revenda
if ($_SESSION['valorfalta90revenda']  <= 0) {
    $media_diaria_revenda_90 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_revenda_90  = $_SESSION['valorfalta90revenda']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_revenda_90 = 0;
}
}
//Cálculo média diária para 80% Revenda
if ($_SESSION['valorfalta80revenda']   <= 0) {
    $media_diaria_revenda_80 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_revenda_80  = $_SESSION['valorfalta80revenda']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_revenda_80 = 0;
}
}
//Cálculo média diária para 70% Manipulado
if ($_SESSION['valorfalta70revenda']   <= 0) {
    $media_diaria_revenda_70 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_revenda_70  = $_SESSION['valorfalta70revenda']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_revenda_70 = 0;
}
}
//FINAL MEDIA REVENDA

//Cálculo média de vendas diária para Marca Própria
$falta_marca_propria = $_SESSION['meta_propria'] - $totalMarca;
// Verifique se a diferença é menor ou igual a zero
if ($falta_marca_propria <= 0) {
    $media_diaria_marca = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_marca  = $falta_marca_propria / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_marca = 0;
}
}

//Cálculo média diária para 90% Marca Própria
if ($_SESSION['valorfalta90MarcaPropria']  <= 0) {
    $media_diaria_marca_90 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_90  = $_SESSION['valorfalta90MarcaPropria']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero, defina $media_diaria_revenda como 0 ou outro valor padrão
    $media_diaria_marca_90 = 0;
}
}
//Cálculo média diária para 80% Marca Própria
if ($_SESSION['valorfalta80MarcaPropria']   <= 0) {
    $media_diaria_marca_80 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_80  = $_SESSION['valorfalta80MarcaPropria']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca_80 = 0;
}
}
//Cálculo média diária para 70% Marca Própria
if ($_SESSION['valorfalta70MarcaPropria']   <= 0) {
    $media_diaria_marca_70 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_70 = $_SESSION['valorfalta70MarcaPropria']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca_70 = 0;
}
}
//FINAL MEDIA MARCA PRÓPRIA

//Cálculo média de vendas diária TOTAL
$falta_total = $_SESSION['meta_soma'] - ($totalManipulado + $totalRevenda + $totalMarca);
// Verifique se a diferença é menor ou igual a zero
if ($falta_total <= 0) {
    $media_diaria_total= 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_total  = $falta_total / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total = 0;
}
}
//Cálculo média diária para 90% Geral
if ($_SESSION['valorfalta90geral']  <= 0) {
    $media_diaria_total_90 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_90  = $_SESSION['valorfalta90geral']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_90 = 0;
}
}
//Cálculo média diária para 80% Geral
if ($_SESSION['valorfalta80geral']   <= 0) {
    $media_diaria_total_80 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_80  = $_SESSION['valorfalta80geral']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_80 = 0;
}
}
//Cálculo média diária para 70% Geral
if ($_SESSION['valorfalta70geral']   <= 0) {
    $media_diaria_total_70 = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_70 = $_SESSION['valorfalta70geral']  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_70 = 0;
}
}
//FINAL MEDIA TOTAL
}

if ($vendedor !== null){
	//Cálculo média de vendas diária para MANIPULADO
$falta_manipulado = $totalMetaManipulado - $totalManipulado ;
// Verifique se a diferença é menor ou igual a zero
if ($falta_manipulado  <= 0) {
    $media_diaria_manipulado = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_manipulado  = $falta_manipulado / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_manipulado = 0;
}
}
//Cálculo falta para 90% manipulado por vendedor 
$meta_manipulado_90 = $totalMetaManipulado * 0.9;
$falta_manipulado_90 = $meta_manipulado_90 - $totalManipulado;
    if ($falta_manipulado_90 <= 0) {
        $falta_manipulado_90 = 0;
        }
//Cálculo média diária para 90% Manipulado Por Vendedor
if ($falta_manipulado_90   <= 0) {
    $media_diaria_manipulado_90  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
    if ($diasrestantes > 0) {
    $media_diaria_manipulado_90 = $falta_manipulado_90   / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_manipulado_90 = 0;
}
}

//Cálculo falta para 80% manipulado por vendedor 
$meta_manipulado_80 = $totalMetaManipulado * 0.8;
$falta_manipulado_80 = $meta_manipulado_80 - $totalManipulado;
    if ($falta_manipulado_80 <= 0) {
        $falta_manipulado_80 = 0;
        }
//Cálculo média diária para 80% Manipulado Por Vendedor
if ($falta_manipulado_80   <= 0) {
    $media_diaria_manipulado_80  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_manipulado_80 = $falta_manipulado_80   / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_manipulado_80 = 0;
}
}

//Cálculo falta para 70% manipulado por vendedor 
$meta_manipulado_70 = $totalMetaManipulado * 0.7;
$falta_manipulado_70 = $meta_manipulado_70 - $totalManipulado;
    if ($falta_manipulado_70 <= 0) {
        $falta_manipulado_70 = 0;
        }
//Cálculo média diária para 70% Manipulado Por Vendedor
if ($falta_manipulado_70   <= 0) {
    $media_diaria_manipulado_70  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_manipulado_70 = $falta_manipulado_70   / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_manipulado_70 = 0;
}
}


//FINAL MEDIA MANIPULADO

//Cálculo média de vendas diária para Revenda
$falta_revenda = $totalMetaRevenda - $totalRevenda;
// Verifique se a diferença é menor ou igual a zero
if ($falta_revenda<= 0) {
    $media_diaria_revenda = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_revenda  = $falta_revenda / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_revenda = 0;
}
}

//Cálculo falta para 90% Revenda por vendedor 
$meta_revenda_90 = $totalMetaRevenda * 0.9;
$falta_revenda_90 = $meta_revenda_90 - $totalRevenda;
    if ($falta_revenda_90 <= 0) {
        $falta_revenda_90 = 0;
        }
//Cálculo média diária para 90% Revenda Por Vendedor
if ($falta_revenda_90   <= 0) {
    $media_diaria_revenda_90  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_revenda_90 = $falta_revenda_90  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_revenda_90 = 0;
}
}

//Cálculo falta para 80% Revenda por vendedor 
$meta_revenda_80 = $totalMetaRevenda * 0.8;
$falta_revenda_80 = $meta_revenda_80 - $totalRevenda;
    if ($falta_revenda_80 <= 0) {
        $falta_revenda_80 = 0;
        }
//Cálculo média diária para 80% Revenda Por Vendedor
if ($falta_revenda_80   <= 0) {
    $media_diaria_revenda_80  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_revenda_80 = $falta_revenda_80  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_revenda_80 = 0;
}
}

//Cálculo falta para 70% Revenda por vendedor 
$meta_revenda_70 = $totalMetaRevenda * 0.7;
$falta_revenda_70 = $meta_revenda_70 - $totalRevenda;
    if ($falta_revenda_70 <= 0) {
        $falta_revenda_70 = 0;
        }
//Cálculo média diária para 70% Revenda Por Vendedor
if ($falta_revenda_70   <= 0) {
    $media_diaria_revenda_70  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_revenda_70 = $falta_revenda_70  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_revenda_70 = 0;
}
}


//FINAL MEDIA REVENDA

//Cálculo média de vendas diária para Marca Própria
$falta_marca_propria = $totalMetaMarcaPropria - $totalMarca;
// Verifique se a diferença é menor ou igual a zero
if ($falta_marca_propria <= 0) {
    $media_diaria_marca = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_marca  = $falta_marca_propria / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca = 0;
}
}

//Cálculo falta para 90% Marca Própria por vendedor 
$meta_marca_90 = $totalMetaMarcaPropria * 0.9;
$falta_marca_propria_90 = $meta_marca_90 - $totalMarca;
    if ($falta_marca_propria_90 <= 0) {
        $falta_marca_propria_90 = 0;
        }
//Cálculo média diária para 90% Marca Própria Por Vendedor
if ($falta_marca_propria_90  <= 0) {
    $media_diaria_marca_90  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_90 = $falta_marca_propria_90  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca_90 = 0;
}
}

//Cálculo falta para 80% Marca Própria por vendedor 
$meta_marca_80 = $totalMetaMarcaPropria * 0.8;
$falta_marca_propria_80 = $meta_marca_80 - $totalMarca;
    if ($falta_marca_propria_80 <= 0) {
        $falta_marca_propria_80 = 0;
        }
//Cálculo média diária para 80% Marca Própria Por Vendedor
if ($falta_marca_propria_80  <= 0) {
    $media_diaria_marca_80  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_80 = $falta_marca_propria_80  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca_80 = 0;
}
}

//Cálculo falta para 70% Marca Própria por vendedor 
$meta_marca_70 = $totalMetaMarcaPropria * 0.7;
$falta_marca_propria_70 = $meta_marca_70 - $totalMarca;
    if ($falta_marca_propria_70 <= 0) {
        $falta_marca_propria_70 = 0;
        }
//Cálculo média diária para 70% Marca Própria Por Vendedor
if ($falta_marca_propria_70  <= 0) {
    $media_diaria_marca_70  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_marca_70 = $falta_marca_propria_70  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_marca_70 = 0;
}
}
//FINAL MEDIA MARCA PRÓPRIA

//Cálculo média de vendas diária TOTAL
$falta_total = ($totalMetaManipulado + $totalMetaRevenda + $totalMetaMarcaPropria) - ($totalManipulado + $totalRevenda + $totalMarca);
// Verifique se a diferença é menor ou igual a zero
if ($falta_total <= 0) {
    $media_diaria_total= 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
   $media_diaria_total  = $falta_total / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total = 0;
}
}

//Cálculo falta para 90% Total por vendedor 
$meta_total_90 = ($totalMetaManipulado + $totalMetaRevenda + $totalMetaMarcaPropria) * 0.9;
$totalTotal = ($totalManipulado + $totalRevenda + $totalMarca);
$falta_total_90 = $meta_total_90 - $totalTotal ;
    if ($falta_total_90 <= 0) {
        $falta_total_90 = 0;
        }
//Cálculo média diária para 90% Marca Própria Por Vendedor
if ($falta_total_90  <= 0) {
    $media_diaria_total_90  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_90 = $falta_total_90  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_90  = 0;
}
}

//Cálculo falta para 80% Total por vendedor 
$meta_total_80 = ($totalMetaManipulado + $totalMetaRevenda + $totalMetaMarcaPropria) * 0.8;
$totalTotal = ($totalManipulado + $totalRevenda + $totalMarca);
$falta_total_80 = $meta_total_80 - $totalTotal ;
    if ($falta_total_80 <= 0) {
        $falta_total_80 = 0;
        }
//Cálculo média diária para 80% Marca Própria Por Vendedor
if ($falta_total_80  <= 0) {
    $media_diaria_total_80  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_80 = $falta_total_80  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_80  = 0;
}
}

//Cálculo falta para 70% Total por vendedor 
$meta_total_70 = ($totalMetaManipulado + $totalMetaRevenda + $totalMetaMarcaPropria) * 0.7;
$totalTotal = ($totalManipulado + $totalRevenda + $totalMarca);
$falta_total_70 = $meta_total_70 - $totalTotal ;
    if ($falta_total_70 <= 0) {
        $falta_total_70 = 0;
        }
//Cálculo média diária para 70% Marca Própria Por Vendedor
if ($falta_total_70  <= 0) {
    $media_diaria_total_70  = 0;
} else {
// Calcule a média diária apenas se a diferença for maior que zero
if ($diasrestantes > 0) {
    $media_diaria_total_70 = $falta_total_70  / $diasrestantes;
}else {
    // Caso $diasrestantes seja zero
    $media_diaria_total_70  = 0;
}
}
//FINAL MEDIA TOTAL
}

    echo "<tr class='text-center'>
            <td width='87'>" . htmlspecialchars(date("d/m/Y", strtotime($data))) . "</td>
            <td width='89'><div align='center'>R$ " . htmlspecialchars(number_format($manipulado, 2, ',', '.')) . "</div></td>
            <td width='89'><div align='center'>R$ " . htmlspecialchars(number_format($revenda, 2, ',', '.')) . "</div></td>
            <td width='89'><div align='center'>R$ " . htmlspecialchars(number_format($marca_propria, 2, ',', '.')) . "</div></td>
            <td width='89'><div align='center'>R$ " . htmlspecialchars(number_format($total, 2, ',', '.')) . "</div></td>
          </tr>";
}

echo "<tr class='text-center'>
        <td width='87'><div align='center'><b>Total</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($totalManipulado, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($totalRevenda, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($totalMarca, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($totalManipulado + $totalRevenda + $totalMarca, 2, ',', '.')) . "</b></div></td>
      </tr>";
	  
	  echo "<tr class='text-center'>
        <td width='87'><div align='center'><b>Meta Diária Para 100%</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_manipulado, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_revenda, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_marca, 2, ',', '.')) . "</b></div></td>
        <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_total, 2, ',', '.')) . "</b></div></td>
      </tr>";

      echo "<tr class='text-center'>
      <td width='87'><div align='center'><b>Meta Diária Para 90%</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_manipulado_90 , 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_revenda_90, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_marca_90, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_total_90, 2, ',', '.')) . "</b></div></td>
    </tr>";

    echo "<tr class='text-center'>
      <td width='87'><div align='center'><b>Meta Diária Para 80%</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_manipulado_80 , 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_revenda_80, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_marca_80, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_total_80, 2, ',', '.')) . "</b></div></td>
    </tr>";

    echo "<tr class='text-center'>
      <td width='87'><div align='center'><b>Meta Diária Para 70%</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_manipulado_70 , 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_revenda_70, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_marca_70, 2, ',', '.')) . "</b></div></td>
      <td width='89'><div align='center'><b>R$ " . htmlspecialchars(number_format($media_diaria_total_70, 2, ',', '.')) . "</b></div></td>
    </tr>";
echo "</tbody>
      </table>
	  </body>
  </html>";

ibase_free_result($qryResult);
ibase_free_result($qryResultRevenda);
ibase_free_result($qryResultMarca);
?>
